Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.value.basic
Class StandardValueFactories

    java.lang.Object
      org.modeshape.jcr.value.basic.AbstractValueFactories
          org.modeshape.jcr.value.basic.StandardValueFactories

All Implemented Interfaces:
  Iterable<ValueFactory<?>>, ValueFactories

    @Immutable
    public class StandardValueFactories

extends AbstractValueFactories

The standard set of `value factories`.

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.jcr.value.basic.AbstractValueFactories
`AbstractValueFactories.ValueFactoryIterator`

Constructor Summary
`StandardValueFactories(NamespaceRegistry namespaceRegistry, BinaryStore binaryStore)` Create a standard set of value factories, using the `default decoder`.
`StandardValueFactories(NamespaceRegistry namespaceRegistry, BinaryStore binaryStore, TextDecoder decoder, TextEncoder encoder, ValueFactory<?>... extraFactories)` Create a standard set of value factories, using the supplied encoder/decoder.
`StandardValueFactories(StandardValueFactories factories, BinaryStore store)`

Method Summary
`BinaryFactory` | `getBinaryFactory()` Get the value factory for `binary` properties.
`ValueFactory<Boolean>` | `getBooleanFactory()` Get the value factory for `boolean` properties.
`DateTimeFactory` | `getDateFactory()` Get the value factory for `date` properties.
`ValueFactory<BigDecimal>` | `getDecimalFactory()` Get the value factory for `decimal` properties.
`ValueFactory<Double>` | `getDoubleFactory()` Get the value factory for `double` properties.
`ValueFactory<Long>` | `getLongFactory()` Get the value factory for `long` properties.
`NameFactory` | `getNameFactory()` Get the value factory for `name` properties.
`NamespaceRegistry` | `getNamespaceRegistry()`
`ValueFactory<Object>` | `getObjectFactory()` Get the value factory for `object` properties.
`PathFactory` | `getPathFactory()` Get the value factory for `path` properties.
`ReferenceFactory` | `getReferenceFactory()` Get the value factory for `reference` properties.
`ValueFactory<String>` | `getStringFactory()` Get the value factory for `string` properties.
`TypeSystem` | `getTypeSystem()` Get the type system associated with these factories.
`ValueFactory<URI>` | `getUriFactory()` Get the value factory for `URI` properties.
`UuidFactory` | `getUuidFactory()` Get the value factory for `UUID` properties.
`ReferenceFactory` | `getWeakReferenceFactory()` Get the value factory for `reference` properties.

Methods inherited from class org.modeshape.jcr.value.basic.AbstractValueFactories
`getValueFactory, getValueFactory, iterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardValueFactories

    public StandardValueFactories(NamespaceRegistry namespaceRegistry,
                                  BinaryStore binaryStore)

  Create a standard set of value factories, using the `default decoder`.

  Parameters:
    `namespaceRegistry` - the namespace registry
    `binaryStore` - the binary store
  Throws:
    `IllegalArgumentException` - if the namespace registry or binary store are null

### StandardValueFactories

    public StandardValueFactories(NamespaceRegistry namespaceRegistry,
                                  BinaryStore binaryStore,
                                  TextDecoder decoder,
                                  TextEncoder encoder,
                                  ValueFactory<?>... extraFactories)

  Create a standard set of value factories, using the supplied encoder/decoder.

  Parameters:
    `namespaceRegistry` - the namespace registry
    `binaryStore` - the binary store
    `decoder` - the decoder that should be used; if null, the `default decoder` is used.
    `encoder` - the encoder that should be used; if null, the `default encoder` is used.
    `extraFactories` - any extra factories that should be used; any factory will override the standard factories based upon the `factory's property type`.
  Throws:
    `IllegalArgumentException` - if the namespace registry or binary store are null

### StandardValueFactories

    public StandardValueFactories(StandardValueFactories factories,
                                  BinaryStore store)

Method Detail

### getTypeSystem

    public TypeSystem getTypeSystem()

  Description copied from interface: `ValueFactories`
  Get the type system associated with these factories.

  Returns:
    the type system; never null

### getNamespaceRegistry

    public NamespaceRegistry getNamespaceRegistry()

  Returns:
    namespaceRegistry

### getBinaryFactory

    public BinaryFactory getBinaryFactory()

  Description copied from interface: `ValueFactories`
  Get the value factory for `binary` properties.

  Returns:
    the factory; never null

### getBooleanFactory

    public ValueFactory<Boolean> getBooleanFactory()

  Description copied from interface: `ValueFactories`
  Get the value factory for `boolean` properties.

  Returns:
    the factory; never null

### getDateFactory

    public DateTimeFactory getDateFactory()

  Description copied from interface: `ValueFactories`
  Get the value factory for `date` properties.

  Returns:
    the factory; never null

### getDecimalFactory

    public ValueFactory<BigDecimal> getDecimalFactory()

  Description copied from interface: `ValueFactories`
  Get the value factory for `decimal` properties.

  Returns:
    the factory; never null

### getDoubleFactory

    public ValueFactory<Double> getDoubleFactory()

  Description copied from interface: `ValueFactories`
  Get the value factory for `double` properties.

  Returns:
    the factory; never null

### getLongFactory

    public ValueFactory<Long> getLongFactory()

  Description copied from interface: `ValueFactories`
  Get the value factory for `long` properties.

  Returns:
    the factory; never null

### getNameFactory

    public NameFactory getNameFactory()

  Description copied from interface: `ValueFactories`
  Get the value factory for `name` properties.

  Returns:
    the factory; never null

### getPathFactory

    public PathFactory getPathFactory()

  Description copied from interface: `ValueFactories`
  Get the value factory for `path` properties.

  Returns:
    the factory; never null

### getReferenceFactory

    public ReferenceFactory getReferenceFactory()

  Description copied from interface: `ValueFactories`
  Get the value factory for `reference` properties.

  Returns:
    the factory; never null

### getWeakReferenceFactory

    public ReferenceFactory getWeakReferenceFactory()

  Description copied from interface: `ValueFactories`
  Get the value factory for `reference` properties.

  Returns:
    the factory; never null

### getStringFactory

    public ValueFactory<String> getStringFactory()

  Description copied from interface: `ValueFactories`
  Get the value factory for `string` properties.

  Returns:
    the factory; never null

### getUriFactory

    public ValueFactory<URI> getUriFactory()

  Description copied from interface: `ValueFactories`
  Get the value factory for `URI` properties.

  Returns:
    the factory; never null

### getUuidFactory

    public UuidFactory getUuidFactory()

  Description copied from interface: `ValueFactories`
  Get the value factory for `UUID` properties.

  Returns:
    the factory; never null

### getObjectFactory

    public ValueFactory<Object> getObjectFactory()

  Description copied from interface: `ValueFactories`
  Get the value factory for `object` properties.

  Returns:
    the factory; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.